//########################
//InDesignCS3で選択されたセル内の文字が
//一行になるように長体をかけます。
//このスクリプトは市川せうぞーさんの名もないテクノ手の
//http://d.hatena.ne.jp/seuzo/20080923/1222106561を参考にさせていただきました。
//作者の市川せうぞーさんありがとうございました。
//なおどのようなカズタマイズかわかりやすくするため変数名もなるべくそのままにしています。
//たけうちとおる
//
//2010/03/09更新
//空白セルが来た時にエラーになるのでエラー処理を入れました。
//段落が1行ではなかったらの判定方法を変更しました。
//########################

//ダイアログ表示のおまじない
app.scriptPreferences.userInteractionLevel=1699311169;

main();

function main(){
	if (app.documents.length == 0){
		alert("ドキュメントを開いてください");
		return;
	}
	if (app.selection.length == 0){
		alert("セルを選択してください");
		return;
	}
	myDocu = app.activeDocument;
	mySele = myDocu.selection;
	for(var s = 0; s<app.selection.length; s++){
		table_choutai(app.selection[s]);
	}
}

function table_choutai(myObj){
	var seltype = myObj.constructor.name
	if(seltype == "Cell"){
		table_choutai2(myObj);
	}
}

//ここから下が市川せうぞーさんの名もないテクノ手を参考にしています。
function table_choutai2(myObj){
	for (var i = 0; i < myObj.cells.length; i++) {
		var txtObj = myObj.cells[i];
		try{
			var danraku = txtObj.paragraphs[0];
			//danraku.horizontalScale = 100;//一度100%にしたい場合はここのコメントを外す。
			for (var w=100; w >= 10; w--){
				txtObj.recompose();//★ここ
				if (danraku.lines.length == 1) {break}
				danraku.horizontalScale = w;
			}
		}catch(e){
		}
	}
}